/*
/// Very basic styles
///*/

html, body {
  box-sizing: border-box;
  margin: 0;
}

*, *:before, *:after {
  box-sizing: inherit;
}

/* Images
// -------------------------
*/

img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  -ms-interpolation-mode: bicubic;
  border: 0;
}

/* We need to revert these for Google maps cause else it breaks! */
.img--no-max {
  max-width: none;
}


/* Figures
// -------------------------
*/

figure > img {
  display: block;
}

figcaption {
  font-size: var(--smaller);
}

/* iFrame
// -------------------------
*/

embed {
  margin-bottom: var(--baseline);
  width: 100%;
  min-height: 800px;
}

iframe, embed, object, video {
  max-width: 100%;
}

/* Links
// -------------------------
*/

a {
  transition: 1s ease all;
  text-decoration: underline;
  color: var(--link-color);
}

a:hover {
  text-decoration: none;
}
a:focus {
  outline: thin dotted;
}
a:hover, &:active {
  outline: none;
}

/* Lists
// -------------------------
*/

ul, ol {
  margin-bottom: var(--baseline);
}

/*/ List options
// -------------------------
*/

/* Unstyled keeps list items block level, just removes default browser padding and list-style*/
.list-unstyled {
  margin: 0;
  padding-left: 0;
  list-style: none;
}

/* Inline turns list items into inline-block */
.list-inline > li {
  display: inline-block;
  margin: 0 -5px 0 0;
}

/* Description Lists
// -------------------------
*/

dl {
  margin-top: 0; // Remove browser default
  margin-bottom: var(--baseline);
}

dt, dd {
  line-height: var(--line-height-base);
}

dt {
  font-weight: bold;
}

dd {
  margin-left: 0; // Undo browser default
}

/* Blockquotes
// -------------------------
*/

blockquote, blockquote p, q {
  color: var(--color-grey);
}

q {
  quotes: "“" "”";
}

q:lang(de) {
  quotes: "„" "“";
}


/* Code formatting
// -------------------------
*/

pre, code {
  font-size: 15px;
  border: 1px solid var(--color-grey-light);
  border-radius: 3px;
  background-color: #1a1a1a;
}

code {
  padding: 1px 5px;
}

pre {
  overflow-x: scroll;
  padding: 8px 12px;
}

pre > code {
  padding-right: 0;
  padding-left: 0;
  border: 0;
}



/* lang */

.button-translation {
  font-size: 15px;
}



.select {
  position: relative;
  display: inline-block;
  width: 20%;
  color: #555;
}
.select select {
  display: inline-block;
  width: 100%;
  margin: 0;
  padding: .5rem 2.25rem .5rem 1rem;
  line-height: 1.5;
  color: #555;
  background-color: #eee;
  border: 0;
  border: 1px solid #D0D0D0;
  border-radius: .25rem;
  cursor: pointer;
  outline: 0;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}
/* Undo the Firefox inner focus ring */
.select select:focus:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #000;
}
/* Dropdown arrow */
.select:after {
  position: absolute;
  top: 50%;
  right: 1.25rem;
  display: inline-block;
  content: "";
  width: 0;
  height: 0;
  margin-top: -.15rem;
  pointer-events: none;
  border-top: .35rem solid;
  border-right: .35rem solid transparent;
  border-bottom: .35rem solid transparent;
  border-left: .35rem solid transparent;
}





/* Active/open */
.select select:active {
  color: #fff;
}

/* Hide the arrow in IE10 and up */
.select select::-ms-expand {
  display: none;
}


